﻿namespace pomppu_possu;
using Jypeli;
/// <summary>
/// Megaporkkanat niminen olio, joka luo Megaporkkanat nimisen physics object luokan
/// Tänne on myös sisällytetty aliohjelmat megaporkkanoiden keräämistä
/// ja tuhoamista varten.
/// </summary>
public class Megaporkkanat : PhysicsObject

{
    private int _osumat;
    public Megaporkkanat(double leveys, double korkeus) : base(leveys, korkeus)
    {
        _osumat = 0;
    }
    
    
/// <summary>
/// Aliohjelma, joka käsittelee osumat megaporkkanoihin.
/// Havaitessaan osuman, aliohjema kutsuu toista aliohjelmaa,
/// joka tuhoaa porkkanan.
/// </summary>
    public void OtaVastaanOsuma()
    {
        _osumat++;
        if (_osumat == 1)
        {
            TuhoaPorkkana();
            

        }
        
    }


/// <summary>
/// Aliohjelma, joka tuhoaa megaporkkanan.
/// </summary>
    public void TuhoaPorkkana()
    {
        this.Destroy();
        
       
    }

    
}